Separator

Plasma 5 Add-Ons

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

7
7.7
Description:

Just a Separator. What did you expect?

Installation
Run the build.sh script
Last changelog:

3 years ago

[li]Version 0.1[/li]
* initial release

alisson3000br

2 months ago

would someone mind uploading this plasmoid already built please!!! I am many days trying but nothing put this to work, I have done so many things I though impossible on Linux but this one wtf nothing works!!! Thank YOUUU

Report

Nourepide

6 months ago

8 +

Report

Warmuser

1 year ago

Can you update the compatibility with the latest versions of KDE? Synce the 5.9 I can't install these addon. Please, Keep alive the project.

Report

Psifidotos

9 months ago

no, this isnt possible...
v0.6 for plasma 5.8
v0.7 for plasma >= 5.9
v0.8 for plasma >= 5.12

Report

bdamor5

1 year ago

when i ran build.sh an error occurs and i have already installed gettext -
./build.sh: line 5: cmake: command not found
make: *** No targets specified and no makefile found. Stop.
make: *** No rule to make target 'install'. Stop.

Report

Psifidotos

9 months ago

if you dont know how to build apps yourself, it is better to use to package that your distro provides

Report

pasiTech

1 year ago

Would be cool if it worked outside of a panel

Report

jolugaju

1 year ago

Run the build.sh script? How do I do that?
I installed it with Discover. It says "Installed".
After I click on Add Widgets and Search, there's nothing there.
I use KDE Neon Plasma 10.5.0. I'm a newbie on Linux.

Report

C

audoban

1 year ago

Yes, run the script, and remember install gettext

Report

clearmartin

2 years ago

Hi! First of all: Thanks for this plasmoid!

I'd like to suggest a slight change to the separator visual so it matches the one already present in Plasma built-in widget Digital Clock (it appears when you make your panel really thin):

Rectangle {
height: 0.8 * main.height
width: 1
color: theme.textColor
opacity: 0.4
}

I've already done that for the separator of Active Window Control widget. Of course it is possible that I've missed another separator also already present in Plasma matching your visual...

Report

oroble

2 years ago

Hacia tiempo que buscaba algo así ¡muchas gracias!!!

Instalación perfecta: ./build.sh
mkdir: no se puede crear el directorio «build»: El fichero ya existe
-- Found Gettext: /usr/bin/msgmerge (found version "0.19.2")
-- Found PythonInterp: /usr/bin/python (found version "2.7.12")
-- Found KF5I18n: /usr/lib64/cmake/KF5I18n/KF5I18nConfig.cmake (found version "5.26.0")
-- Found KF5: success (found version "5.26.0") found components: Plasma I18n
-- Configuring done
-- Generating done
-- Build files have been written to: /home/*****/Descargas/Separator/build
Scanning dependencies of target pofiles_1
[100%] Generating es-plasma_applet_audoban.applet.separator.gmo
[100%] Built target pofiles_1
[100%] Built target pofiles_1
Install the project...
-- Install configuration: ""
-- Installing: /usr/share/plasma/plasmoids/audoban.applet.separator
-- Installing: /usr/share/plasma/plasmoids/audoban.applet.separator/contents
-- Installing: /usr/share/plasma/plasmoids/audoban.applet.separator/contents/ui
-- Installing: /usr/share/plasma/plasmoids/audoban.applet.separator/contents/ui/main.qml
-- Installing: /usr/share/plasma/plasmoids/audoban.applet.separator/metadata.desktop
-- Installing: /usr/share/metainfo/audoban.applet.separator.appdata.xml
-- Installing: /usr/share/kservices5/plasma-applet-audoban.applet.separator.desktop
-- Installing: /usr/share/locale/es/LC_MESSAGES/plasma_applet_audoban.applet.separator.mo

Report

binh06

2 years ago

I'm sorry, but when I run build.sh I get the error like this:

CMake Error at /usr/share/cmake-3.7/Modules/FindPackageHandleStandardArgs.cmake:138 (message):
Could NOT find Gettext (missing: GETTEXT_MSGMERGE_EXECUTABLE
GETTEXT_MSGFMT_EXECUTABLE)
Call Stack (most recent call first):
/usr/share/cmake-3.7/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE)
/usr/share/cmake-3.7/Modules/FindGettext.cmake:76 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
/usr/lib/x86_64-linux-gnu/cmake/KF5I18n/KF5I18NMacros.cmake:28 (find_package)
/usr/lib/x86_64-linux-gnu/cmake/KF5I18n/KF5I18nConfig.cmake:86 (include)
/usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package)
CMakeLists.txt:13 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/prime/Downloads/Separator/build/CMakeFiles/CMakeOutput.log".
make: *** No targets specified and no makefile found. Stop.
make: *** No rule to make target 'install'. Stop.

Maybe my computer lacks some dependencies? Can anyone help me please

Report

C

audoban

2 years ago

Sorry for my delay
Please install gettext for build locale files.

Report

binh06

2 years ago

Thank you very much :D

Report

madsheytan

3 years ago

MY IDOL! THANKS! :D

PS: can you port the global menu bar? :D

Report

C

audoban

3 years ago

Sorry for my lack.
Yo no tengo los medios ni el conocimiento de remplazar un software de esa magnitud. Ademas no deseo programar un globalmenu.

Report

3 years ago

[li]Version 0.1[/li]
* initial release

12345678910
20
product-maker Nourepide Nov 15 2018 8 great
+
product-maker Shevchuk May 14 2018 8 great
product-maker floorek Aug 06 2017 8 great
product-maker WIP42 Mar 30 2017 8 great
product-maker aldy Mar 03 2017 8 great
product-maker binh06 Dec 18 2016 8 great
product-maker tepca Nov 09 2016 8 great
product-maker rewqtz Nov 09 2016 8 great
product-maker dubious Nov 09 2016 8 great
product-maker izzzy Nov 05 2016 8 great
product-maker fracaburda Oct 31 2016 8 great
product-maker dfghjk Oct 12 2016 8 great
product-maker vmorenomarin Apr 29 2016 8 great
product-maker gericom Feb 17 2016 8 great
product-maker svah4cky0 Jan 18 2016 8 great
product-maker hacklov Dec 28 2015 8 great
product-maker A1D0 Dec 22 2015 8 great
product-maker janet Dec 21 2015 8 great
product-maker deabru Dec 13 2015 8 great
product-maker PeterKabin Dec 11 2015 8 great
product-maker Count:2 Rating: 5.00
File (click to download) Version Description Downloads Date Filesize DL OCS-Install
Pling
*Needs ocs-url or ocs-store to install things
Details
license
version
0.1
updated Aug 06 2017
added Dec 10 2015
downloads today
12
page views today 7